Name:		live555
Version:	2022.10.01
Release:	1%{?dist}
Summary:	Live555.com streaming libraries
License:	LGPLv2+
URL:		http://live555.com/liveMedia/
Source0:	%{url}/public/live.%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
# Packages using live555 must Requires this:
#%%{?live555_version:Requires: live555%%{?_isa} = %%{live555_version}}


%description
This code forms a set of C++ libraries for multimedia streaming, 
using open standard protocols (RTP/RTCP, RTSP, SIP). These 
libraries - which can be compiled for Unix (including Linux and Mac OS X), 
Windows, and QNX (and other POSIX-compliant systems) - can be used 
to build streaming applications.
The libraries can also be used to stream, receive, and process MPEG, 
H.263+ or JPEG video, and several audio codecs. They can easily be 
extended to support additional (audio and/or video) codecs, and can 
also be used to build basic RTSP or SIP clients and servers, and have 
been used to add streaming support to existing media player applications.


%package	devel
Summary:	Development files for live555.com streaming libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
%description	devel
This code forms a set of C++ libraries for multimedia streaming, 
using open standard protocols (RTP/RTCP, RTSP, SIP). These 
libraries - which can be compiled for Unix (including Linux and Mac OS X), 
Windows, and QNX (and other POSIX-compliant systems) - can be used 
to build streaming applications.
The libraries can also be used to stream, receive, and process MPEG, 
H.263+ or JPEG video, and several audio codecs. They can easily be 
extended to support additional (audio and/or video) codecs, and can 
also be used to build basic RTSP or SIP clients and servers, and have 
been used to add streaming support to existing media player applications.


%package	tools
Summary:	RTSP streaming tools using live555.com streaming libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
%description	tools
This code forms a set of C++ libraries for multimedia streaming, 
using open standard protocols (RTP/RTCP, RTSP, SIP). These 
libraries - which can be compiled for Unix (including Linux and Mac OS X), 
Windows, and QNX (and other POSIX-compliant systems) - can be used 
to build streaming applications.
The libraries can also be used to stream, receive, and process MPEG, 
H.263+ or JPEG video, and several audio codecs. They can easily be 
extended to support additional (audio and/or video) codecs, and can 
also be used to build basic RTSP or SIP clients and servers, and have 
been used to add streaming support to existing media player applications.
This package contains the live555.com streaming server
(live555MediaServer), the example programs (openRTSP, playSIP, sapWatch,
vobStreamer) and a variety of test tools.


%prep
%setup -q -n live
sed -i -e "s|-O2|%{optflags}|" config.linux-with-shared-libraries


%build
./genMakefiles %{_target_os}-with-shared-libraries
%make_build LDFLAGS="%{?__global_ldflags}"


%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}
#RPM Macros support
mkdir -p %{buildroot}%{rpmmacrodir}
cat > %{buildroot}%{rpmmacrodir}/macros.%{name} << EOF
# live555 RPM Macros
%live555_version	%{version}
EOF
touch -r COPYING %{buildroot}%{rpmmacrodir}/macros.%{name}
#Fix library dependency detection
chmod +x %{buildroot}%{_libdir}/*.so*


%ldconfig_scriptlets


%files
%license COPYING
%{_libdir}/libBasicUsageEnvironment.so.1*
%{_libdir}/libgroupsock.so.30*
%{_libdir}/libliveMedia.so.107*
%{_libdir}/libUsageEnvironment.so.3*


%files tools
%{_bindir}/*


%files devel
%doc README
%{rpmmacrodir}/macros.%{name}
%{_libdir}/libBasicUsageEnvironment.so
%{_libdir}/libgroupsock.so
%{_libdir}/libliveMedia.so
%{_libdir}/libUsageEnvironment.so
%{_includedir}/BasicUsageEnvironment/
%{_includedir}/groupsock/
%{_includedir}/liveMedia/
%{_includedir}/UsageEnvironment/


%changelog
